# Uses of Enum
com.databricks.jdbc.model.client.thrift.generated.TFetchOrientation

Packages that use TFetchOrientation
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TFetchOrientation in com.databricks.jdbc.model.client.thrift.generated

Subclasses with type arguments of type TFetchOrientation in com.databricks.jdbc.model.client.thrift.generated
Modifier and Type
Class
Description
`enum`
`TFetchOrientation`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TFetchOrientation
Modifier and Type
Field
Description
`TFetchOrientation`
TFetchResultsReq.`orientation`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TFetchOrientation
Modifier and Type
Method
Description
`static TFetchOrientation`
TFetchOrientation.`findByValue(int value)`
Find a the enum type by its integer value, as defined in the Thrift IDL.
`TFetchOrientation`
TFetchResultsReq.`getOrientation()`
`static TFetchOrientation`
TFetchOrientation.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TFetchOrientation[]`
TFetchOrientation.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TFetchOrientation
Modifier and Type
Method
Description
`TFetchResultsReq`
TFetchResultsReq.`setOrientation(TFetchOrientation orientation)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TFetchOrientation
Modifier
Constructor
Description
``
`TFetchResultsReq(TOperationHandle operationHandle, TFetchOrientation orientation, long maxRows)`